StackBuffer< TYPE, SIZE, POD_TYPE > Class Template Reference

`#include <stackBuffer.h>`

## Public Types

typedef unsigned int | size_type

## Public Member Functions

| StackBuffer ()
| StackBuffer (size_type size)
| ~StackBuffer ()
| operator TYPE const * () const
| operator TYPE * ()
size_type | GetSize () const
void | SetSize (size_type size)
void | Reserve (size_type capacity)

## Detailed Description

template<typename TYPE, unsigned int SIZE, bool POD_TYPE = false>
class OpenSubdiv::OPENSUBDIV_VERSION::Vtr::internal::StackBuffer< TYPE, SIZE, POD_TYPE >

Definition at line 50 of file stackBuffer.h.

## Member Typedef Documentation

## size_type

typedef unsigned int size_type

Definition at line 53 of file stackBuffer.h.

## Constructor & Destructor Documentation

## StackBuffer() [1/2]

StackBuffer

inline

Definition at line 151 of file stackBuffer.h.

## StackBuffer() [2/2]

StackBuffer | ( | size_type | size | ) |

inline

Definition at line 161 of file stackBuffer.h.

## ~StackBuffer()

~StackBuffer

inline

Definition at line 177 of file stackBuffer.h.

## Member Function Documentation

## GetSize()

size_type GetSize | ( |  | ) | const

inline

Definition at line 70 of file stackBuffer.h.

## operator TYPE *()

operator TYPE * | ( |  | ) |

inline

Definition at line 68 of file stackBuffer.h.

## operator TYPE const *()

operator TYPE const * | ( |  | ) | const

inline

Definition at line 67 of file stackBuffer.h.

## Reserve()

void Reserve | ( | size_type | capacity | ) |

inline

Definition at line 190 of file stackBuffer.h.

## SetSize()

void SetSize | ( | size_type | size | ) |

inline

Definition at line 203 of file stackBuffer.h.

The documentation for this class was generated from the following file:

- opensubdiv/vtr/stackBuffer.h